<script setup>
import CardMember from "./CardMember.vue"
import CardCircle from "./CardCircle.vue"
import CardCircleAdd from "./CardCircleAdd.vue"
import { ref } from "vue";


import { useUserStore } from "@/stores/user"
import router from '../router';

const { user, setUser } = useUserStore();

const dataUser = ref(JSON.parse(localStorage.getItem("koncooUser")))

// window.console.log(dataUser)

const handleLogout = () => {
  localStorage.removeItem('koncooUser')
  setUser(null)
  router.push('/login')
}
</script>

<template>
  <div class="sidebar">
    <div class="logo">
      <img src="/logo.png" />
    </div>
    <RouterLink :to="`/`" class="no-underline">
      <CardMember class="mt-1" typeCard="profile" :dataUser=dataUser />
    </RouterLink>

    <div class="search pt-3">
      <input type="text" class="form-control" placeholder="Search" />
    </div>
    <div class="container_circle">
      <h5 class="text-left">My Circle</h5>
      <ul class="circle">
        <CardCircleAdd />
        <CardCircle />
        <CardCircle />
        <CardCircle />
        <CardCircle />
        <CardCircle />

      </ul>
    </div>
    <div class="logout">
      <button @click.prevent="handleLogout" type="button" class="btn btn-outline-primary w-100">
        Log Out
      </button>
    </div>
  </div>
</template>

<style scoped>
.sidebar {
  display: flex;
  flex-direction: column;
  background: #f3f4f6;
  text-align: center;
  padding: 20px 16px;
  box-shadow: 0px 4px 6px -1px rgba(16, 24, 40, 0.1),
    0px 2px 4px -2px rgba(16, 24, 40, 0.1);
}

.sidebar .logo {
  text-align: center;
  margin: auto;

  margin-bottom: 30px;
}

.profile {
  margin-bottom: 15px;
  text-align: center;
  padding: 20px;
  box-shadow: 0px 1px 3px rgba(16, 24, 40, 0.1),
    0px 1px 2px -1px rgba(16, 24, 40, 0.1);
}

.container_circle {
  margin-top: 20px;
  font-weight: bold;
}

.circle {
  overflow-y: scroll;
  max-height: 250px;
}



.profile img {
  display: block;
  width: 100%;
  height: 100%;

  margin: 0 auto;
}

.profile h3 {
  color: #111827;
  margin: 10px 0 5px;
  font-size: medium;
  font-weight: 700;
}

.sidebar ul {
  padding: 0;
}

.sidebar ul li a {
  display: block;
  padding: 13px 30px;
  color: rgb(241, 237, 237);
  font-size: 16px;
  position: relative;
}
</style>
